petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSTrajectoryGet

Updates the solution vector of a time stepper object by inquiring the TSTrajectory

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryGet(TSTrajectory tj,TS ts,PetscInt stepnum,PetscReal *time)

Collective on TS

### Input Parameters

| tj | - the trajectory object
| ts | - the time stepper object
| stepnum | - the step number

### Output Parameter

time -the time associated with the step number

Notes: Usually one does not call this routine, it is called automatically during TSSolve()

### See Also

TSTrajectorySetUp(), TSTrajectoryDestroy(), TSTrajectorySetType(), TSTrajectorySetVariableNames(), TSGetTrajectory(), TSTrajectorySet(), TSTrajectoryGetVecs(), TSGetSolution()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c

### Implementations

TSTrajectoryGet_Basic in src/ts/trajectory/impls/basic/trajbasic.c
TSTrajectoryGet_Memory in src/ts/trajectory/impls/memory/trajmemory.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages